summaryrefslogtreecommitdiff
path: root/adk/config/check.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-03-30 21:56:07 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-03-30 21:56:07 +0200
commit1a81ab3b835f3b77bb16e47ddb1be9c751e79e0e (patch)
treeb325e977182b293bb8382072f2e4f0a3f88f3089 /adk/config/check.sh
parente56895aca43c2de824228aa3ae00345318a0cb51 (diff)
parent712a7998a6e64638154c2cc3b3262b0881ca0138 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'adk/config/check.sh')
-rwxr-xr-xadk/config/check.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/adk/config/check.sh b/adk/config/check.sh
new file mode 100755
index 000000000..fa59cbf9d
--- /dev/null
+++ b/adk/config/check.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+# Needed for systems without gettext
+$* -xc -o /dev/null - > /dev/null 2>&1 << EOF
+#include <libintl.h>
+int main()
+{
+ gettext("");
+ return 0;
+}
+EOF
+if [ ! "$?" -eq "0" ]; then
+ echo -DKBUILD_NO_NLS;
+fi
+